Skip to main content
GET
/
commerce
/
catalog
/
admin
/
search
/
{name}
/
sitesearchsettings
Error
A valid request URL is required to generate request examples
{
  "crossFieldAdditiveScoreFactor": 123,
  "customBoosts": [
    "<string>"
  ],
  "fieldValueBoost": {
    "boostType": "<string>",
    "fields": [
      {
        "fieldName": "<string>",
        "valueExpressions": [
          {
            "boost": 123,
            "operator": "<string>",
            "value": "<string>"
          }
        ]
      }
    ]
  },
  "fieldWeights": [
    {
      "searchFieldName": "<string>",
      "weight": 123,
      "phraseWeight": 123
    }
  ],
  "minimumMatchPercents": [
    123
  ],
  "multiTermSynMinimumMatchPercents": [
    123
  ],
  "personalizationExperience": "<string>",
  "personalizationFactor": 123,
  "phraseSlop": 123,
  "searchChildProductsByDefault": true,
  "searchMode": 123,
  "sowBehavior": 123,
  "spellcheck": {
    "autocorrect": true,
    "didyoumean": true,
    "spellcheckEnabled": true
  },
  "twoWordPhraseBoost": true,
  "typoTolerance": {
    "distance": 123,
    "enabled": true,
    "factor": 123
  },
  "vectorSettings": {
    "applyBoostFunctions": true,
    "filterByThresholdDistance": true,
    "hybridMode": 123,
    "multiplier": 123,
    "thresholdDistance": 123,
    "topK": 123
  }
}

Authorizations

Authorization
string
header
required

JWT Authorization header using the Bearer scheme.

Path Parameters

name
string
required

Query Parameters

responseFields
string

limits which fields are returned in the response body

Response

Success

crossFieldAdditiveScoreFactor
number<double>
customBoosts
string[] | null
fieldValueBoost
object
fieldWeights
object[] | null
minimumMatchPercents
integer<int32>[] | null
multiTermSynMinimumMatchPercents
integer<int32>[] | null

if values present is used for mm when sowBehavior.WhenNoMultiTermSyn and multi term sym match found in query if no values are present or null fallback to MinMatchPercents

personalizationExperience
string | null
personalizationFactor
number<double> | null
phraseSlop
integer<int32>
searchChildProductsByDefault
boolean
searchMode
integer<int32> | null
sowBehavior
integer<int32> | null

controls sowBehavior (Never=0, Always=1, WhenNoMultiTermSyn=2) never sow=false, always sow=true, WhenNoMultiTermSyn = (depends on existance of multitermsynonym match in query)

spellcheck
object
twoWordPhraseBoost
boolean | null

if true, 2 word shingles used for phrase boosting based on fields with phrase weights greater than 0 if false, only full phrase mathing used for phrase boosting

typoTolerance
object
vectorSettings
object